From 516a9136ccb00e01ccfa9782363d5ac656ccc71b Mon Sep 17 00:00:00 2001
From: Wei xie <xiewei@linuxdeepin.com>
Date: Thu, 11 Jan 2018 09:14:27 +0800
Subject: [PATCH] wininet: Fix crash when secure_proxy_connect use a rewrite

If request->contentLength is 0, netconn may be released
before call NETCON_secure_connect.

Signed-off-by: Wei xie <xiewei@linuxdeepin.com>
---
 dlls/wininet/http.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/dlls/wininet/http.c b/dlls/wininet/http.c
index b1c2d944ff..6716c8080c 100644
--- a/dlls/wininet/http.c
+++ b/dlls/wininet/http.c
@@ -5043,7 +5043,7 @@ static DWORD HTTP_HttpSendRequestW(http_request_t *request, LPCWSTR lpszHeaders,
             res = set_content_length(request);
             if(res != ERROR_SUCCESS)
                 goto lend;
-            if(!request->contentLength)
+            if(!request->contentLength && !secure_proxy_connect)
                 http_release_netconn(request, TRUE);
 
             if (!(request->hdr.dwFlags & INTERNET_FLAG_NO_AUTO_REDIRECT) && responseLen)
-- 
2.11.0

